System Requirements

Supported Operating Systems

Windows

  • Microsoft Windows 2003 Server ( x64, x86)
  • Microsoft Windows 2008 Server ( x64, x86)
  • Microsoft Windows 2012 Server ( x64, x86)
  • Microsoft Windows XP ( x64, x86)
  • Microsoft Windows Vista ( x64, x86)
  • Microsoft Windows 7 ( x64, x86)
  • Microsoft Windows 8, 8.1 ( x64, x86)
  • Microsoft Windows 10 ( x64, x86)
  • Windows Azure

Supported Frameworks

Aspose.Email for .NET supports .NET and Mono frameworks as follows:

.NET Frameworks

  • .NET Framework 3.5
  • .NET Framework 4.0
  • .NET Framework 4.0_ClientProfile
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.5.2
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.7
  • .NET Framework 4.7.2
  • .NET Standard 2.0 
  • .NET Core 2.0
  • .NET Core 2.1

Mono Framework

  • Mono 5.4 or later

Development Environments

You can use Aspose.PUB for .NET to develop applications in any development environment that targets the .NET platform, but the following environments are explicitly supported:

  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2011
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2015
  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2019